| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations
glcanvas.h File Reference

## Classes

class | wxGLContext
| An instance of a wxGLContext represents the state of an OpenGL state machine and the connection between OpenGL and the system. More...
class | wxGLCanvas
| wxGLCanvas is a class for displaying OpenGL graphics. More...

## Enumerations

enum | { WX_GL_RGBA = 1, WX_GL_BUFFER_SIZE, WX_GL_LEVEL, WX_GL_DOUBLEBUFFER, WX_GL_STEREO, WX_GL_AUX_BUFFERS, WX_GL_MIN_RED, WX_GL_MIN_GREEN, WX_GL_MIN_BLUE, WX_GL_MIN_ALPHA, WX_GL_DEPTH_SIZE, WX_GL_STENCIL_SIZE, WX_GL_MIN_ACCUM_RED, WX_GL_MIN_ACCUM_GREEN, WX_GL_MIN_ACCUM_BLUE, WX_GL_MIN_ACCUM_ALPHA, WX_GL_SAMPLE_BUFFERS, WX_GL_SAMPLES }

## Enumeration Type Documentation

anonymous enum

Constants for use with wxGLCanvas.

Note
  Not all implementations support options such as stereo, auxiliary buffers, alpha channel, and accumulator buffer, use wxGLCanvas::IsDisplaySupported() to check for individual attributes support.

Enumerator:

  WX_GL_RGBA | Use true color (the default if no attributes at all are specified); do not use a palette.
  WX_GL_BUFFER_SIZE | Specifies the number of bits for buffer if not WX_GL_RGBA.
  WX_GL_LEVEL | Must be followed by 0 for main buffer, >0 for overlay, <0 for underlay.
  WX_GL_DOUBLEBUFFER | Use double buffering if present (on if no attributes specified).
  WX_GL_STEREO | Use stereoscopic display.
  WX_GL_AUX_BUFFERS | Specifies number of auxiliary buffers.
  WX_GL_MIN_RED | Use red buffer with most bits (> MIN_RED bits)
  WX_GL_MIN_GREEN | Use green buffer with most bits (> MIN_GREEN bits)
  WX_GL_MIN_BLUE | Use blue buffer with most bits (> MIN_BLUE bits)
  WX_GL_MIN_ALPHA | Use alpha buffer with most bits (> MIN_ALPHA bits)
  WX_GL_DEPTH_SIZE | Specifies number of bits for Z-buffer (typically 0, 16 or 32).
  WX_GL_STENCIL_SIZE | Specifies number of bits for stencil buffer.
  WX_GL_MIN_ACCUM_RED | Specifies minimal number of red accumulator bits.
  WX_GL_MIN_ACCUM_GREEN | Specifies minimal number of green accumulator bits.
  WX_GL_MIN_ACCUM_BLUE | Specifies minimal number of blue accumulator bits.
  WX_GL_MIN_ACCUM_ALPHA | Specifies minimal number of alpha accumulator bits.
  WX_GL_SAMPLE_BUFFERS | 1 for multisampling support (antialiasing)
  WX_GL_SAMPLES | 4 for 2x2 antialiasing supersampling on most graphics cards